/******************************************************************************
 * ASP DIGITAL (c) 2006
 * All rights reserved.
 *
 * Graphic LCD driver
 * Filename: isr.c
 *
 * Interrupt service routines.
 *
 * Created 2 Aug 2006
 * revision:
 ****************************************************************************/
#include <C8051F340.h>
#include ".\uart\uart.h"

/*
 * Timer 3.
 */
bit Timer3;

void Timer3_ISR(void) interrupt 14 using 2
{
	// clear the interrupt flag:
	TMR3CN &= 0x7F;
	// set our flag:
	Timer3 = 1;
} // Timer3_ISR()

/*
 * Timer 1 used for transmit pacing.
 */
void Timer1_ISR(void) interrupt 3 using 3
{
    UartSendNextByte();
} // Timer1_ISR()
