/******************************************************************************
 * ASP DIGITAL (c) 2006
 * All rights reserved.
 *
 * PS/2 keyboard scan codes.
 * Filename: scancodes.h
 *
 * 
 * Created 31 Jul 2006
 * revision:
 ****************************************************************************/

#ifndef _SCANCODES_H
#define _SCANCODES_H

enum {
	SC_ESC	= 0x76,
	SC_F1	= 0x05,
	SC_F2	= 0x06,
	SC_F3	= 0x04,
	SC_F4	= 0x0C,
	SC_F5	= 0x03,
	SC_F6	= 0x0B,
	SC_F7	= 0x83,
	SC_F8	= 0x0A,
	SC_F9	= 0x01,
	SC_F10	= 0x09,
	SC_F11	= 0x78,
	SC_F12	= 0x07,
	SC_BTCK	= 0x0E,	// ~, `
	SC_1	= 0x16,
	SC_2	= 0x1E,
	SC_3	= 0x26,
	SC_4	= 0x25,
	SC_5	= 0x2E,
	SC_6	= 0x36,
	SC_7	= 0x3D,
	SC_8	= 0x3E,
	SC_9	= 0x46,
	SC_0	= 0x45,
	SC_DASH	= 0x4E,	// - _
	SC_EQ	= 0x44,	// = +
	SC_BS	= 0x66,	// backspace
	SC_TAB	= 0x0D,
	SC_CAPS	= 0x58,
	SC_LBKT	= 0x54,	// [ {, leftbracket
	SC_RBKT	= 0x5B, // ] }, right bracket
	SC_BKSL	= 0x5D, // backslash, pipe
	SC_COLN = 0x4C, // : ;
	SC_APOS = 0x52,	// ' " apostrophe
	SC_ENT	= 0x5A, // enter
	SC_LSHF = 0x12, // left shift key
	SC_RSHF	= 0x59, // right shift key
	SC_LCTL	= 0x14,	// left ctrl key
	SC_LALT = 0x11, // left alt key
//	SC_RCTL = 0xE0 11
//  SC_RALT = 0xE0 14
	SC_SPB	= 0x29,	// space bar
	SC_HOME = 0x63,
	SC_PGUP = 0xFF, // page up (fill in)
	SC_PGDN = 0xFF, // page up (fill in)
	SC_END	= 0xFF, // END, fill in
	SC_INS	= 0xFF,
	SC_DEL  = 0xFF,
	SC_PLUS	= 0xFF,
	SC_MNUS = 0xFF,
	SC_MULT = 0xFF,
	SC_DIV	= 0xFF,
	SC_NUML = 0xFF,	// num lock
	SC_UP	= 0xFF,
	SC_DN	= 0xFF,
	SC_LEFT	= 0xFF,
	SC_RGHT	= 0xFF,
	SC_NUM5 = 0xFF
	SC_A	= 0x1C,
	SC_B	= 0x32,
	SC_C	= 0x21,
	SC_D	= 0x23,
	SC_E	= 0x24,
	SC_F	= 0x2B,
	SC_G	= 0x34,
	SC_H	= 0x33,
	SC_I	= 0x43,
	SC_J	= 0x3B,
	SC_K	= 0x42,
	SC_L	= 0x4B,
	SC_M	= 0x3A,
	SC_N	= 0x31,
	SC_O	= 0x44,
	SC_P	= 0x4D,
	SC_Q	= 0x15,
	SC_R	= 0x2D,
	SC_S	= 0x1B,
	SC_T	= 0x2C,
	SC_U	= 0x3C,
	SC_V	= 0x2A,
	SC_W	= 0x1D,
	SC_X	= 0x22,
	SC_Y	= 0x35,
	SC_Z	= 0x13};  // check this!!!



